org.apache.ode.bpel.pmapi

## Interface TProcessStatus

- All Superinterfaces:
    org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TProcessStatusImpl

      public interface TProcessStatus
      extends org.apache.xmlbeans.XmlString

  An XML tProcessStatus(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is an atomic type that is a restriction of org.apache.ode.bpel.pmapi.TProcessStatus.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TProcessStatus.Enum` Enumeration value class for org.apache.ode.bpel.pmapi.TProcessStatus.
    `static class` | `TProcessStatus.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TProcessStatus.Enum` | `ACTIVE`
    `static int` | `INT_ACTIVE`
    `static int` | `INT_RETIRED`
    `static TProcessStatus.Enum` | `RETIRED`
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
    `void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

    - #### ACTIVE

          static final TProcessStatus.Enum ACTIVE

    - #### RETIRED

          static final TProcessStatus.Enum RETIRED

    - #### INT_ACTIVE

          static final int INT_ACTIVE

      See Also:
        Constant Field Values

    - #### INT_RETIRED

          static final int INT_RETIRED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### enumValue

          org.apache.xmlbeans.StringEnumAbstractBase enumValue()

    - #### set

          void set(org.apache.xmlbeans.StringEnumAbstractBase e)